Debian Bug report logs - #567411
network-manager: Rewrites /etc/hosts

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Sven Arvidsson <sa@whiz.se>

Date: Thu, 28 Jan 2010 22:21:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version network-manager/0.7.999-2

Fixed in version network-manager/0.7.999-3

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#567411; Package network-manager. (Thu, 28 Jan 2010 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 28 Jan 2010 22:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager: Rewrites /etc/hosts
Date: Thu, 28 Jan 2010 23:16:32 +0100
Package: network-manager
Version: 0.7.999-2
Severity: normal

Hi,

The new version of NM seems to rewrite /etc/hosts in a way some
programs, like Exim, doesn't like:

 Stopping MTA for restart:hostname --fqdn did not return a fully
 qualified name, dc_minimaldns will not 
 work. Please fix your /etc/hosts setup.
  exim4_listener.
 Restarting MTA: exim4.


This is /etc/hosts before NM is started:
 127.0.0.1	   localhost
 192.168.1.129	   zoe.varbacka	zoe

and after:
 127.0.0.1	zoe	localhost.localdomain	localhost
 192.168.1.129	zoe.varbacka			zoe

According to some old upstream bug reports I found, NM shouldn't
rewrite /etc/hosts, but I'm not sure if that applies to 0.7.999?


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                       3.112      add and remove users and groups
ii  dbus                          1.2.16-2   simple interprocess messaging syst
ii  dhcp3-client                  3.1.3-2    DHCP client
ii  ifupdown                      0.6.9      high level tools to configure netw
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.82-2     simple interprocess messaging syst
ii  libgcrypt11                   1.4.5-1    LGPL Crypto library - runtime libr
ii  libglib2.0-0                  2.22.4-1   The GLib library of C routines
ii  libgnutls26                   2.8.5-2    the GNU TLS library - runtime libr
ii  libgudev-1.0-0                150-2      GObject-based wrapper library for 
ii  libnl1                        1.1-5      library for dealing with netlink s
ii  libnm-glib2                   0.7.999-2  network management framework (GLib
ii  libnm-util1                   0.7.999-2  network management framework (shar
ii  libpolkit-gobject-1-0         0.96-1     PolicyKit Authorization API
ii  libuuid1                      2.16.2-0   Universally Unique ID library
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip
ii  udev                          150-2      /dev/ and hotplug management daemo
ii  wpasupplicant                 0.6.9-3    client support for WPA and WPA2 (I

Versions of packages network-manager recommends:
ii  dnsmasq-base                  2.52-1     A small caching DNS proxy and DHCP
ii  iptables                      1.4.6-2    administration tools for packet fi
ii  modemmanager                  0.3-1      D-Bus service for managing modems
ii  network-manager-gnome         0.7.999-2  network management framework (GNOM
ii  policykit-1                   0.96-1     framework for managing administrat
pn  ppp                           <none>     (no description available)

Versions of packages network-manager suggests:
pn  avahi-autoipd                 <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#567411; Package network-manager. (Thu, 28 Jan 2010 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@teco.edu>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 28 Jan 2010 23:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 567411@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@teco.edu>
To: Sven Arvidsson <sa@whiz.se>, 567411@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#567411: network-manager: Rewrites /etc/hosts
Date: Fri, 29 Jan 2010 00:09:02 +0100
Am 28.01.2010 23:16, schrieb Sven Arvidsson:
> Package: network-manager
> Version: 0.7.999-2
> Severity: normal
>
> Hi,
>
> The new version of NM seems to rewrite /etc/hosts in a way some
> programs, like Exim, doesn't like:
>
>   Stopping MTA for restart:hostname --fqdn did not return a fully
>   qualified name, dc_minimaldns will not
>   work. Please fix your /etc/hosts setup.
>    exim4_listener.
>   Restarting MTA: exim4.
>
>
> This is /etc/hosts before NM is started:
>   127.0.0.1	   localhost
>   192.168.1.129	   zoe.varbacka	zoe
>
> and after:
>   127.0.0.1	zoe	localhost.localdomain	localhost
>   192.168.1.129	zoe.varbacka			zoe
>
> According to some old upstream bug reports I found, NM shouldn't
> rewrite /etc/hosts, but I'm not sure if that applies to 0.7.999?

Hi,

could you please send me the contents of 
/etc/NetworkManager/nm-system-settings.conf, /etc/hostname and the 
output when running
NetworkManager --no-daemon

Thanks,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#567411; Package network-manager. (Fri, 29 Jan 2010 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 29 Jan 2010 14:42:02 GMT) Full text and rfc822 format available.

Message #15 received at 567411@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Michael Biebl <biebl@teco.edu>
Cc: 567411@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#567411: network-manager: Rewrites /etc/hosts
Date: Fri, 29 Jan 2010 15:39:54 +0100
[Message part 1 (text/plain, inline)]
> could you please send me the contents of 
> /etc/NetworkManager/nm-system-settings.conf, /etc/hostname and the 
> output when running
> NetworkManager --no-daemon

Sure,

/etc/NetworkManager/nm-system-settings.conf:
        [main]
        plugins=keyfile
        
        [ifupdown]
        managed=false


/etc/hostname:
        zoe

The log from NM is attached.

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22

[nm.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#567411; Package network-manager. (Tue, 02 Feb 2010 02:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 02 Feb 2010 02:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 567411@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Sven Arvidsson <sa@whiz.se>, 567411@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#567411: network-manager: Rewrites /etc/hosts
Date: Tue, 02 Feb 2010 03:52:05 +0100
[Message part 1 (text/plain, inline)]
tags 567411 fixed-upstream pending
thanks

On 28.01.2010 23:16, Sven Arvidsson wrote:
> Package: network-manager
> Version: 0.7.999-2
> Severity: normal
> 
> Hi,
> 
> The new version of NM seems to rewrite /etc/hosts in a way some
> programs, like Exim, doesn't like:

I forwarded this issue upstream and it has been addressed, so marking as
fixed-upstream and pending. See
http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=f6c383ff14412ea264fa8740dec84f92a89bd385

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending and fixed-upstream. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 02 Feb 2010 02:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#567411; Package network-manager. (Tue, 02 Feb 2010 15:27:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 02 Feb 2010 15:27:16 GMT) Full text and rfc822 format available.

Message #27 received at 567411@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Michael Biebl <biebl@debian.org>
Cc: 567411@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#567411: network-manager: Rewrites /etc/hosts
Date: Tue, 02 Feb 2010 16:24:23 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-02-02 at 03:52 +0100, Michael Biebl wrote:
> I forwarded this issue upstream and it has been addressed, so marking as
> fixed-upstream and pending. See
> http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=f6c383ff14412ea264fa8740dec84f92a89bd385

It works fine after applying that patch, thanks for the help!

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22

[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Mon, 08 Feb 2010 17:03:20 GMT) Full text and rfc822 format available.

Notification sent to Sven Arvidsson <sa@whiz.se>:
Bug acknowledged by developer. (Mon, 08 Feb 2010 17:03:20 GMT) Full text and rfc822 format available.

Message #32 received at 567411-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 567411-close@bugs.debian.org
Subject: Bug#567411: fixed in network-manager 0.7.999-3
Date: Mon, 08 Feb 2010 17:02:36 +0000
Source: network-manager
Source-Version: 0.7.999-3

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive:

libnm-glib-dev_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-glib-dev_0.7.999-3_i386.deb
libnm-glib-vpn-dev_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-glib-vpn-dev_0.7.999-3_i386.deb
libnm-glib-vpn1_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-glib-vpn1_0.7.999-3_i386.deb
libnm-glib2_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-glib2_0.7.999-3_i386.deb
libnm-util-dev_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-util-dev_0.7.999-3_i386.deb
libnm-util1_0.7.999-3_i386.deb
  to main/n/network-manager/libnm-util1_0.7.999-3_i386.deb
network-manager-dbg_0.7.999-3_i386.deb
  to main/n/network-manager/network-manager-dbg_0.7.999-3_i386.deb
network-manager-dev_0.7.999-3_i386.deb
  to main/n/network-manager/network-manager-dev_0.7.999-3_i386.deb
network-manager_0.7.999-3.diff.gz
  to main/n/network-manager/network-manager_0.7.999-3.diff.gz
network-manager_0.7.999-3.dsc
  to main/n/network-manager/network-manager_0.7.999-3.dsc
network-manager_0.7.999-3_i386.deb
  to main/n/network-manager/network-manager_0.7.999-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 567411@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Feb 2010 17:27:54 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib2 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util1 libnm-util-dev network-manager-dbg
Architecture: source i386
Version: 0.7.999-3
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib2 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util1 - network management framework (shared library)
 network-manager - network management framework daemon
 network-manager-dbg - network management framework daemon - debugging symbols
 network-manager-dev - network management framework (development files)
Closes: 567207 567411 568784
Changes: 
 network-manager (0.7.999-3) unstable; urgency=low
 .
   * debian/patches/03-hostname-fallback.patch
     - If dhcp does not return a valid hostname and none of the system settings
       plugins provides a hostname, fallback to the hostname that was set when
       NetworkManager was started. Patch pulled from upstream Git.
       (Closes: #567207)
   * debian/patches/04-etc-hosts-rewrite.patch
     - Be more selective when adding hostname to /etc/hosts.
       Patch pulled from upstream Git. (Closes: #567411)
   * debian/patches/05-ifupdown-allow-hotplug-autoconnect.patch
     - Set autoconnect=true for devices marked as allow-hotplug in
       /etc/network/interfaces. (Closes: #568784)
   * debian/control
     - Remove Riccardo from Uploaders with Riccardo's consent.
     - Bump Breaks for network-manager-kde to (<< 1:0.9~~). The KDE3 version no
       longer works correctly with this version of network-manager.
     - Bump Standards-Version to 3.8.4. No further changes.
   * debian/network-manager.init
     - Don't use "set -e".
     - Print meaningful messages on start and stop in case the daemon is already
       running resp. already stopped.
Checksums-Sha1: 
 2753af0a0e1f6b3b7dc68a49fa225912661d9b1d 1733 network-manager_0.7.999-3.dsc
 168548ae6a0b750cf66f7813bfe5b38a6de03f5a 26895 network-manager_0.7.999-3.diff.gz
 3a7284b0df78a4d1e1829952fc62fa92fedd31f1 628108 network-manager_0.7.999-3_i386.deb
 36b49e2002f9f865f4150f23fa204fc804e15376 228872 network-manager-dev_0.7.999-3_i386.deb
 1510e39c1043c55a4216fe8a7b00240e9474108a 277588 libnm-glib2_0.7.999-3_i386.deb
 64e4d2b90e343cdd3179569481069cdfa285b2c7 299924 libnm-glib-dev_0.7.999-3_i386.deb
 d4ed425b65a4cf71264ea9e462e43bca993f4fbd 233858 libnm-glib-vpn1_0.7.999-3_i386.deb
 14a76347c057ba769beb80f04a34e0730d852bca 236312 libnm-glib-vpn-dev_0.7.999-3_i386.deb
 c725ca8dbe8a2d55695aad89ea7fd9eeccd8d365 311002 libnm-util1_0.7.999-3_i386.deb
 5abaf3d905252312dc617059a7a14535c9a62803 336940 libnm-util-dev_0.7.999-3_i386.deb
 3bfef24ab62012213573a1e31ad4adeffdc39c5e 1052298 network-manager-dbg_0.7.999-3_i386.deb
Checksums-Sha256: 
 5a90c8eb5d6d8b246e5a5b92a3a44d9a24a797bf371cb19803282c03758cd3ef 1733 network-manager_0.7.999-3.dsc
 1ec89ce48a8f80a71c053a831f603e57ea1886a7b5f20c9dc51a3c3f304a34ef 26895 network-manager_0.7.999-3.diff.gz
 3f8130abf3fa9d1790969319ad82d5b5bad8e9787eeb12319a5bdcdd4a40939b 628108 network-manager_0.7.999-3_i386.deb
 82f3727b151d3e6f9829a6f3376d02e19d13ce259951236233d4ab4815161247 228872 network-manager-dev_0.7.999-3_i386.deb
 87fbefa4b9605f8e82bbe35b3b472d2227b806a4c0efba87c854010a502152f7 277588 libnm-glib2_0.7.999-3_i386.deb
 29020bbbfbdeb5448ce26dc1b2c709165392ded371578503127795b4de9d9eb6 299924 libnm-glib-dev_0.7.999-3_i386.deb
 024cd4962ec1d6ce8f8d646de6283c193a640e147e2840746644f42921dcd7f3 233858 libnm-glib-vpn1_0.7.999-3_i386.deb
 b46b38a7d5da91c63ae35a503a25170b04af2e4f274cbec4ea5727c07b6efaa0 236312 libnm-glib-vpn-dev_0.7.999-3_i386.deb
 add992c653666baa3bf86d42402996ed211591bb4867325de96d451881fc6c81 311002 libnm-util1_0.7.999-3_i386.deb
 ff0db37f3d12cd7bb9efeec25364c2ed0b9f302694c3c0b66ab37837679451da 336940 libnm-util-dev_0.7.999-3_i386.deb
 8d31e128cd53a2539b3c2c698485a46c44433f4cbceca36f4418211d8af9a239 1052298 network-manager-dbg_0.7.999-3_i386.deb
Files: 
 77a323c2d98301df9a4cea9c0045f6ce 1733 net optional network-manager_0.7.999-3.dsc
 8e8723d96630bab53386f913c8bc8992 26895 net optional network-manager_0.7.999-3.diff.gz
 57f1912ef9bf8f8b265e23fc39da7240 628108 net optional network-manager_0.7.999-3_i386.deb
 46dd4e3a3142509f5adfca8020f8b38c 228872 devel optional network-manager-dev_0.7.999-3_i386.deb
 cd46b2e829551c1896730e07782e4b0d 277588 libs optional libnm-glib2_0.7.999-3_i386.deb
 c9a04818a61d2093c723d1442387404c 299924 libdevel optional libnm-glib-dev_0.7.999-3_i386.deb
 f139ecbbe7970358612b34dd43ff6620 233858 libs optional libnm-glib-vpn1_0.7.999-3_i386.deb
 674f7a631ec1c7c29324050a6371a4b2 236312 libdevel optional libnm-glib-vpn-dev_0.7.999-3_i386.deb
 ada895b8cff773dd96103282ee1378d2 311002 libs optional libnm-util1_0.7.999-3_i386.deb
 77aee18760c84517dd1297b5f423fd57 336940 libdevel optional libnm-util-dev_0.7.999-3_i386.deb
 910c96c5cfd8d0b205be6f9e5d190d2d 1052298 debug extra network-manager-dbg_0.7.999-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktwPW8ACgkQh7PER70FhVSS1QCfeD2xl22aWvAwCZ9PeP5PjiGo
ILQAoMZvFyBfWS96Fa+YE5xrAHmA/riP
=hi0e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Mar 2010 07:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:22:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.